/*


---------------------------------------------
Table of contents
------------------------------------------------
1. Typography
2. General
3. Nav
4. Hero Carousel
5. Accordion
6. Shop
7. Product
8. Carousel Hero
9. Carousel Brand
10. Services
11. Contact map
12. Footer
13. Small devices (landscape phones, 576px and up)
14. Medium devices (tablets, 768px and up)
15. Large devices (desktops, 992px and up)
16. Extra large devices (large desktops, 1200px and up)
--------------------------------------------- */

/*#217074*/
/*#37745B*/
/*#8B9D77*/
/*#E7EAEF*/
/*#EDC5AB*/
:root {
    --logo: #C6D166;
    --btn-color-text-primary: #ffff;
    --btn-btn-offer-primary: #000;
    --btn-btn-border-primary: #000;
    --global-black-60: #797878;
    --global-red: #ed1a21;
    --global-spacer: 4px;
    --dark-bg: #5C821A;
    --light-bg: #C6D166;
    --success-bg: #5C821A;
    --black-bg: var(--dark-bg);
    --success-btn: var(--success-bg);
    --success-btn-light: var(--light-bg);
    --main-color: #fffff0;
    --success-text: var(--success-bg);
    --services-icon-wap: var(--success-bg);
    --text-white: #BBC6C8;

}

body {
    background-color: var(--main-color);
}

/* Typography */
body, ul, li, p, a, label, input, div {
    font-family: 'Montserrat', sans-serif;


}

.h1 {
    font-family: 'Montserrat', sans-serif;
    font-size: 48px !important;
    font-weight: 200 !important;
}

.h2 {
    font-family: 'Montserrat', sans-serif;
    font-size: 30px !important;
    font-weight: 300;
}

.h3 {
    font-family: 'Montserrat', sans-serif;
    font-size: 22px !important;
}

button {
    border: none; /* Видаляємо обводку */
    outline: none; /* Видаляємо обведення кнопки при фокусі */
    box-shadow: none; /* Видаляємо тінь */
    background-color: transparent; /* Видаляємо фоновий колір */
    cursor: pointer; /* Змінюємо курсор на покажчик */
}

button:focus, button:active {
    border: none !important;
    outline: none;

}

/* General */
.logo {
    color: var(--logo);
    font-weight: 500 !important;
}

.text-warning {
    color: #ede861 !important;
}

.text-muted {
    color: #bcbcbc !important;
}

.text-success {
    color: var(--success-bg) !important;
}

.text-light {
    color: #cfd6e1 !important;
}

/*.text-white {*/
/*    color: var(--text-white) !important;*/
/*}*/

.bg-dark {
    background-color: var(--dark-bg) !important;
}

.bg-light {
    background-color: var(--light-bg) !important;
}

.bg-main {
    background-color: var(--main-color)
}

.bg-black {
    background-color: var(--black-bg) !important;
}

.bg-success {
    background-color: var(--success-bg) !important;
}

.btn-success {
    background-color: var(--success-btn-light) !important;
    border-color: var(--success-btn-light) !important;
}

.btn-check:focus + .btn-success, .btn-success:focus {
    box-shadow: 0 0 0 0.25rem rgb(92, 130, 26);
}

.btn-success:active:focus {
    box-shadow: 0 0 0 0.1rem rgb(92, 130, 26);
}

.pagination .page-link:hover {
    color: #000;
}

.pagination .page-link:hover, .pagination .page-link.active {
    background-color: var(--success-bg);
    color: #fff;
}

.modal-content {
    background-color: var(--main-color) !important;
}

/* Nav */
#them_main_nav {
    min-height: 40px;
}

#them_nav_top * {
    font-size: .9em !important;

}

#them_nav_top {
    min-height: 40px;
    font-size: 18px !important;
    font-weight: 300 !important;
}

#them_main_nav a {
    color: #212934;
}

#them_main_nav a:hover {
    color: var(--success-bg);
}

#them_main_nav .navbar .nav-icon {
    margin-right: 20px;
}

/* Hero Carousel */
#template-mo-zay-hero-carousel {
    background: #efefef !important;
}

/* Accordion */
.them-accordion a {
    color: #000;
}

.them-accordion a:hover {
    color: #333d4a;
}

/* Shop */
.shop-top-menu a:hover {
    color: var(--success-bg);
!important;
}

/* Product */
.product-wap {
    box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.10);
}

.product-wap .product-color-dot.color-dot-red {
    background: #f71515;
}

.product-wap .product-color-dot.color-dot-blue {
    background: #6db4fe;
}

.product-wap .product-color-dot.color-dot-black {
    background: #000000;
}

.product-wap .product-color-dot.color-dot-light {
    background: #e0e0e0;
}

.product-wap .product-color-dot.color-dot-green {
    background: var(--success-bg);;
}

.card {
    background-color: var(--main-color);
    /*box-shadow: 0 0 0 0.20rem rgb(229 227 228/ 65%);*/
    /*border: none;*/
}

.card.product-wap .card .product-overlay {
    background: rgba(0, 0, 0, .2);
    visibility: hidden;
    opacity: 0;
    transition: .3s;
}

.card.product-wap:hover .card .product-overlay {
    visibility: visible;
    opacity: 1;
}

.languages {
    font-weight: 700;
    color: #000;
    text-decoration: none;
}

.languages.ua {
    text-transform: uppercase;
}

.card.product-wap a {
    color: #000;
}

#carousel-related-product .slick-slide:focus {
    outline: none !important;
}

#carousel-related-product .slick-dots li button:before {
    font-size: 15px;
    margin-top: 20px;
}

/* Brand */
.brand-img {
    filter: grayscale(100%);
    opacity: 0.5;
    transition: .5s;
}

.brand-img:hover {
    filter: grayscale(0%);
    opacity: 1;
}

/* Carousel Hero */
#them-mo-zay-hero-carousel .carousel-indicators li {
    margin-top: -50px;
    background-color: var(--success-bg);
}

#them-mo-zay-hero-carousel .carousel-control-next i,
#them-mo-zay-hero-carousel .carousel-control-prev i {
    color: var(--success-bg) !important;
    font-size: 2.8em !important;
}

/* Carousel Brand */
.them-carousel .h1 {
    font-size: .5em !important;
    color: #000 !important;
}

/* Services */
.services-icon-wap {
    transition: .3s;
}

.services-icon-wap:hover, .services-icon-wap:hover i {
    color: var(--main-color);
}

.services-icon-wap:hover {
    background: var(--light-bg);
}

/* Contact map */
.leaflet-control a, .leaflet-control {
    font-size: 10px !important;
}

.form-control {
    border: 1px solid #BBC6C8;
}

.form-control::placeholder {
    color: #BBC6C8;
}

.form-control:focus {
    color: #212529;
    background-color: #fff;
    border-color: #BBC6C8;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgb(108 119 135 / 25%);
}

.form-check-input:checked {
    background-color: var(--success-bg);
    border-color: #BBC6C8;
}

.form-check-input:focus {
    border-color: #BBC6C8;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgb(108 119 135 / 25%);
}

/* Footer */
#them_footer a {
    color: #dcdde1;
}

#them_footer a:hover {
    color: var(--light-bg);
}

#them_footer ul.footer-link-list li {
    padding-top: 10px;
}

#them_footer ul.footer-icons li {
    width: 2.6em;
    height: 2.6em;
    line-height: 2.6em;
}

#them_footer ul.footer-icons li:hover {
    background-color: var(--light-bg);
    transition: .5s;
}

#them_footer ul.footer-icons li:hover i {
    color: #212934;
    transition: .5s;
}

#tempaltemo_footer .border-light {
    border-color: #BBC6C8 !important;
}

/*
// Extra small devices (portrait phones, less than 576px)
// No media query since this is the default in Bootstrap
*/
/* Small devices (landscape phones, 576px and up)*/
.product-wap .h3, .product-wap li, .product-wap i, .product-wap p {
    font-size: 12px !important;
}

.product-price__small {
    position: relative;
    display: inline-block;
    line-height: 14px;
    font-size: 14px;
    margin-bottom: 0px;
    color: var(--global-black-60);
}

.product-price__small:before {
    content: "";
    position: absolute;
    left: -1px;
    right: -1px;
    top: 50%;
    height: 2px;
    transform: translateY(-50%);
    background-color: var(--global-black-60);
}

.product-price__big-color-red {
    color: #ed1a21;
}

.product-price__big {
    font-size: calc(var(--global-spacer) * 5);
    font-weight: 700;
    line-height: 1;
}

.product-wap .product-color-dot {
    width: 6px;
    height: 6px;
}

.b-divider {
    /* height: 3rem; */
    /* background-color: rgba(0, 0, 0, .1); */
    margin: 1rem 0 1rem 0;
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 0.5em 1.5em rgba(0, 0, 0, .1), inset 0 0.125em 0.5em rgba(0, 0, 0, .15);
}

.navbar .navbar-collapse .navbar-nav .nav-item .nav-link {
    padding-right: 30px; /* Increase the padding to create space between the search icon and the cart icon */
}

.navbar .navbar-collapse .navbar-nav .nav-item:last-child .nav-link {
    padding-right: 0; /* Reset padding for the last nav item (e.g., Contact) */
}

.navbar .navbar-collapse .navbar-nav .nav-item .nav-link {
    position: relative; /* Ensure the parent is positioned */
}

.navbar .navbar-collapse .navbar-nav .nav-item .nav-link .fa-search {
    position: absolute;
    right: 10px; /* Adjust the right value as needed */
    top: 50%;
    transform: translateY(-50%);
}

.highlight {
    background-color: yellow;
    font-weight: bold;
}

@media (min-width: 576px) {
    .tempaltemo-carousel .h1 {
        font-size: 1em !important;
    }
}

/*// Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) {
    #them_main_nav .navbar-nav {
        max-width: 450px;
    }
}

/* Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
    #them_main_nav .navbar-nav {
        max-width: 550px;
    }

    #template-mo-zay-hero-carousel .carousel-item {
        min-height: 30rem !important;
    }

    .product-wap .h3, .product-wap li, .product-wap i, .product-wap p {
        font-size: 18px !important;
    }

    .product-wap .product-color-dot {
        width: 12px;
        height: 12px;
    }
}

/* Extra large devices (large desktops, 1200px and up)*/
@media (max-width: 990px) {
    .h1 {
        font-size: 34px !important;
    }
}

@media (max-width: 760px) {
    .h1 {
        font-size: 20px !important;
    }
}
